pro shapelets_plot_chisq_grid,chi2_bn

;$Id: shapelets_plot_chisq_grid.pro, v2$
;
; Copyright  2005 Richard Massey and Alexandre Refregier.
;
; This file is a part of the Shapelets analysis code.
; www.astro.caltech.edu/~rjm/shapelets/
;
; The Shapelets code is free software; you can redistribute it and/or
; modify it under the terms of the GNU General Public Licence as published
; by the Free Software Foundation; either version 2 of the Licence, or
; (at your option) any later version.
;
; The Shapelets code is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
; GNU General Public Licence for more details.
;
; You should have received a copy of the GNU General Public Licence
; along with the Shapelets code; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
;
;+
; August 2000 - Written by A. Refregier
; PURPOSE: plot Chi^2 on the beta-nmax grid
; INPUT: chi2_bn: Chi62 structure from mk_chi2_bn.pro
; OUTPUT: plot
;-

; compute beta range
n_beta=n_elements(chi2_bn.beta)
beta_min=chi2_bn.beta(0)
beta_max=chi2_bn.beta(n_beta-1)
dbeta=chi2_bn.beta(1)-chi2_bn.beta(0)

; plot chi^2 vs beta and n_max
shapelets_plot_image,chi2_bn.chi2,/col,$
  frame=[min(chi2_bn.nmax)-.5,max(chi2_bn.nmax)+1-.5,$
  beta_min-.5*dbeta,beta_max+.5*dbeta],$
  xtitle='!6n!imax!n',ytitle='!7b!6',title='!7v!6!e2!n'
;oplot,[chi2_bn.nmax_g],[chi2_bn.beta_g],psym=6
;oplot,[chi2_bn.nmax_bf],[chi2_bn.beta_bf],psym=1

end


